Bug 519143 - PartitionException: Flag is not available on inactive partition /dev/sdb-1
Summary: PartitionException: Flag is not available on inactive partition /dev/sdb-1
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 12
Hardware: ppc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joel Andres Granados
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:53f896217ada82f3d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 11:04 UTC by Jan Stodola
Modified: 2010-02-23 19:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-23 19:28:20 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (394.98 KB, text/plain)
2009-08-25 11:04 UTC, Jan Stodola
no flags Details
traceback on x86_64 in kvm (158.45 KB, text/plain)
2009-08-25 11:41 UTC, Jan Stodola
no flags Details

Description Jan Stodola 2009-08-25 11:04:18 UTC
The following was filed automatically by anaconda:
anaconda 12.16 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/parted/partition.py", line 173, in isFlagAvailable
    return self.__partition.is_flag_available(flag)
  File "/usr/lib/python2.6/site-packages/parted/decorators.py", line 30, in localeC
    ret = fn(*args, **kwds)
  File "<string>", line 2, in isFlagAvailable
  File "/usr/lib/anaconda/storage/devices.py", line 1065, in flagAvailable
    return self.partedPartition.isFlagAvailable(flag)
  File "/usr/lib/anaconda/storage/devices.py", line 1086, in unsetFlag
    if not self.partedPartition or not self.flagAvailable(flag):
  File "/usr/lib/anaconda/storage/deviceaction.py", line 313, in execute
    self._device.unsetFlag(self.origFormat.partedFlag)
  File "/usr/lib/anaconda/storage/devicetree.py", line 708, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 230, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 117, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/text.py", line 548, in run
    anaconda.dispatch.gotoNext()
  File "/usr/bin/anaconda", line 981, in <module>
    anaconda.intf.run(anaconda)
PartitionException: Flag is not available on inactive partition /dev/sdb-1

Comment 1 Jan Stodola 2009-08-25 11:04:25 UTC
Created attachment 358553 [details]
Attached traceback automatically from anaconda.

Comment 2 Jan Stodola 2009-08-25 11:41:49 UTC
Created attachment 358560 [details]
traceback on x86_64 in kvm

Comment 3 Joel Andres Granados 2009-09-17 11:28:20 UTC
As per IRC conversation with Jan Stodola:
1. Bug has not been seen since report
2. putting on modified and Jan will change if he sees it pop up again.

Comment 4 Bug Zapper 2009-11-16 11:40:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.